%define origin          sun
%define j2eever         1.2
%define minorver        1
%define version         %{j2eever}.%{minorver}
%define cvs_version     1_2_1
%define release         2jpp
%define name            j2sdkee-%{j2eever}-%{origin}
%define section         non-free
%define archive_name    j2sdkee-%{cvs_version}-linux.tar.gz
%define doc_archive_name    j2sdkee-%{cvs_version}-doc-linux.tar.gz
%define toplevel_dir    j2sdkee%{version}


Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        Reference Implementation for %{name}
License:        Sun Binary Code License
Group:          Internet/WWW/Servers
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://java.sun.com/j2ee/1.2/index.jsp
Source0:        %{archive_name}
NoSource:       0
Source1:        %{doc_archive_name}
NoSource:       1
Requires:       jpackage-utils >= 0:1.5.32
BuildArch:      i586
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  jpackage-utils >= 0:1.5.32

%description
The Java 2 Software Development Kit, Enterprise Edition 
(J2EE SDK) includes the binary version of the J2EE 
reference implementation, plus related development tools 
and documentation that enable you to create distributed 
applications for the J2EE platform.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.


# -----------------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}
gzip -dc %{SOURCE0} | tar -xf -
gzip -dc %{SOURCE1} | tar -xf -

%setup -T -D -n %{toplevel_dir}
# fix perms
chmod -R go=u-w *
chmod -R u+w *

# -----------------------------------------------------------------------------

%build
# Nope.

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
# prevent javadoc being included in doc
rm -rf doc/api

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# prevent doc being included in main package
rm -rf doc

# main files
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
cp -pr * $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
mv $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/lib/j2ee.jar $RPM_BUILD_ROOT%{_javadir}/j2ee-%{version}-sun.jar
ln -s %{_javadir}/j2ee-%{version}-sun.jar $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/lib/j2ee.jar
ln -s %{_javadir}/j2ee-%{version}-sun.jar $RPM_BUILD_ROOT%{_javadir}/j2ee-%{version}.jar
ln -s %{_javadir}/j2ee-%{version}-sun.jar $RPM_BUILD_ROOT%{_javadir}/j2ee-%{j2eever}.jar


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_localstatedir}/lib/%{name}/LICENSE
%doc %{_localstatedir}/lib/%{name}/README
%attr(755,root,root)                 %{_localstatedir}/lib/%{name}/bin/*
%{_localstatedir}/lib/%{name}/[c-z]*
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%doc %{_docdir}/%{name}-%{version}

%changelog
* Sat Dec 04 2004 Paolo Dona' <vik@3jv.com> 1.2.1-2jpp
- fixed LICENSE and README location

* Fri Feb 13 2004 Ralph Apel <r.apel@r-apel.de> 1.2.1-1jpp
- first JPackage release
